package cn.x47.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RIPPacket {
    private byte command; // 1=Request, 2=Response
    private byte version; // 1=RIP v1, 2=RIP v2
    private short unused = 0; // 未使用，设置为 0
    private List<RIPEntry> entries;

    // 添加构造方法和 Getter/Setter
    public RIPPacket(byte command, byte version, List<RIPEntry> entries) {
        this.command = command;
        this.version = version;
        this.unused = 0;
        this.entries = entries;
    }

}
